package application;
	
import javafx.application.Application;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;


public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		Pane pane = new Pane();
		Scene scene = new Scene(pane, 300, 300);
		
		Circle circle = new Circle(50);
		circle.setStyle("-fx-stroke: black; -fx-fill: red");
		circle.setCenterX(scene.getWidth()/2);
		circle.setCenterY(scene.getHeight()/2);
		
		//circle.centerXProperty().bind(scene.widthProperty().divide(2));
		//circle.centerYProperty().bind(scene.heightProperty().divide(2));
		
		scene.widthProperty().addListener(new ChangeListener<Number>() {
			@Override
			public void changed(ObservableValue<? extends Number> arg0, Number arg1, Number newValue) {
				circle.setCenterX(newValue.doubleValue()/2);
			}
		});
		
		scene.heightProperty().addListener(new ChangeListener<Number>() {

			@Override
			public void changed(ObservableValue<? extends Number> arg0, Number arg1, Number newValue) {
				circle.setCenterY(newValue.doubleValue()/2);
			}
		});
		
		pane.getChildren().add(circle);
		
		primaryStage.setScene(scene);
		primaryStage.setTitle("Always Centered Circle");
		primaryStage.show();
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
