package application;
	
import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;



public class Main extends Application {
	private TextField tfAmount = new TextField();
	private TextField tfAIR = new TextField();
	private TextField tfNbOfYears = new TextField();
	private TextField tfMonthlyPayment = new TextField();
	private TextField tfTotalPayment = new TextField();
	private Button btCalculate = new Button("Calculate");
	@Override
	public void start(Stage primaryStage) {
		GridPane gridPane = new GridPane();
		gridPane.setHgap(8);
		gridPane.setVgap(8);
		gridPane.setPadding(new Insets(8, 8, 8, 8));
		
		gridPane.add(tfAmount, 1, 0);
		gridPane.add(tfAIR, 1, 1);
		gridPane.add(tfNbOfYears, 1, 2);
		gridPane.add(tfMonthlyPayment, 1, 3);
		gridPane.add(tfTotalPayment, 1, 4);
		gridPane.add(btCalculate, 1, 5);
		btCalculate.setMaxWidth(Double.MAX_VALUE);
		
		gridPane.add(new Label("Amount"), 0, 0);
		gridPane.add(new Label("Annual interest rate"), 0, 1);
		gridPane.add(new Label("Nb of years"), 0, 2);
		gridPane.add(new Label("Monthly payment"), 0, 3);
		gridPane.add(new Label("Total payment"), 0, 4);
		
		tfMonthlyPayment.setEditable(false);
		tfMonthlyPayment.setFocusTraversable(false);
		//tfMonthlyPayment.getStyleClass().add("Output");
		tfMonthlyPayment.setId("Output");
		tfTotalPayment.setEditable(false);
		tfTotalPayment.setFocusTraversable(false);
		//tfTotalPayment.getStyleClass().add("Output");
		tfTotalPayment.setId("Output");
		btCalculate.setOnAction(e -> calculatePayment());
		
		Scene scene = new Scene(gridPane);
		scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
		primaryStage.setScene(scene);
		primaryStage.setResizable(false);
		primaryStage.setTitle("Loan Calculator");
		primaryStage.show();
		
	}
	
	private void calculatePayment() {
		double amount = Double.parseDouble(tfAmount.getText());
		int nbOfYears = Integer.parseInt(tfNbOfYears.getText());
		double monthlyIR = Double.parseDouble(tfAIR.getText())/1200;
		
		double monthlyPayment = amount * monthlyIR /
				(1 - 1/Math.pow(1+monthlyIR, 12*nbOfYears));
		double totalPayment = monthlyPayment * 12 * nbOfYears;
		
		tfMonthlyPayment.setText(String.format("$%.2f", monthlyPayment));
		tfTotalPayment.setText(String.format("$%.2f", totalPayment));
		
		
	}
	
	
	public static void main(String[] args) {
		launch(args);
	}
}
